HEX
Server: Apache/2.4.41
System: Linux mainweb 5.4.0-182-generic #202-Ubuntu SMP Fri Apr 26 12:29:36 UTC 2024 x86_64
User: nationalmedicaregrp (1119)
PHP: 8.3.7
Disabled: exec,passthru,shell_exec,system,popen,proc_open,pcntl_exec
Upload Files
File: /home/ubuntu/.nvm/test/sourcing/Sourcing nvm.sh with no default should return 0
#!/bin/sh

die () { echo "$@" ; exit 1; }

touch ../../alias/default
rm ../../alias/default || die 'removal of default alias failed'
nvm_alias default && die '"nvm_alias default" did not fail'

set -e # necessary to fail internally with a nonzero code

\. ../../nvm.sh || die 'sourcing returned nonzero exit code'